// The module 'vscode' contains the VS Code extensibility API
// Import the module and reference it with the alias vscode in your code below
import * as vscode from 'vscode';

// This method is called when your extension is activated
// Your extension is activated the very first time the command is executed
export function activate(context: vscode.ExtensionContext) {
    context.subscriptions.push(vscode.window.onDidChangeWindowState(e => onWindowStateChanged(e)));
}
 
export function onWindowStateChanged(windowState: vscode.WindowState) {
    vscode.window.showInformationMessage(`WindowState has changed => active: ${windowState.active} and focused: ${windowState.focused}`);
}

// This method is called when your extension is deactivated
export function deactivate() {}
